Historical contract: Get Business Payment Options
Historical API contract. This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.
Historical meaning
Get Business Payment Options
This API endpoint is used to obtain all payment options from a specific business.
Current API
For new integrations, use the linked current API reference or guide.
Parameters
[
{
"name": "language",
"in": "path",
"schema": {
"type": "string",
"default": "en"
},
"required": true
},
{
"name": "project",
"in": "path",
"schema": {
"type": "string",
"default": "<redacted-personal>"
},
"required": true
},
{
"name": "business_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
},
{
"name": "params",
"in": "query",
"schema": {
"type": "string"
}
},
{
"name": "limit",
"in": "query",
"schema": {
"type": "integer",
"format": "int32"
}
},
{
"name": "offset",
"in": "query",
"schema": {
"type": "integer",
"format": "int32"
}
},
{
"name": "api_version",
"in": "path",
"schema": {
"type": "string",
"default": "v400"
},
"required": true
}
]
Request body
null
Responses
{
"200": {
"description": "200",
"content": {
"text/plain": {
"examples": {
"Result": {
"value": "{\n \"error\": false,\n \"result\": [\n {\n \"id\": 1,\n \"paymethod_id\": 5,\n \"business_id\": 0,\n \"sandbox\": true,\n \"data\": {\n \"app\": \"<redacted-payment-credential>\",\n \"key\": \"<redacted-payment-credential>\"\n },\n \"data_sandbox\": {\n \"app\": \"<redacted-payment-credential>\",\n \"key\": \"<redacted-payment-credential>\"\n },\n \"enabled\": true\n },\n {\n \"id\": 2,\n \"paymethod_id\": 28,\n \"business_id\": 0,\n \"sandbox\": true,\n \"data\": {\n \"publishable\": \"<redacted-secret>\",\n \"secret\": \"<redacted-secret>\"\n },\n \"data_sandbox\": {\n \"publishable\": \"<redacted-secret>\",\n \"secret\": \"<redacted-secret>\"\n },\n \"enabled\": true\n },\n {\n \"id\": 3,\n \"paymethod_id\": 29,\n \"business_id\": 0,\n \"sandbox\": true,\n \"data\": {\n \"client_id\": \"<redacted-secret>\"\n },\n \"data_sandbox\": {\n \"client_id\": \"<redacted-secret>\"\n },\n \"enabled\": true\n },\n {\n \"id\": 4,\n \"paymethod_id\": 31,\n \"business_id\": 0,\n \"sandbox\": true,\n \"data\": {\n \"publishable\": \"<redacted-secret>\",\n \"secret\": \"<redacted-secret>\",\n \"account_id\": \"<redacted-payment-id>\",\n \"token_refresh\": \"<redacted-secret>\"\n },\n \"data_sandbox\": [],\n \"enabled\": true\n },\n {\n \"id\": 5,\n \"paymethod_id\": 32,\n \"business_id\": 0,\n \"sandbox\": true,\n \"data\": {\n \"publishable\": \"<redacted-secret>\",\n \"secret\": \"<redacted-secret>\"\n },\n \"data_sandbox\": {\n \"publishable\": \"<redacted-secret>\",\n \"secret\": \"<redacted-secret>\"\n },\n \"enabled\": true\n },\n {\n \"id\": 54,\n \"paymethod_id\": 1,\n \"business_id\": 0,\n \"sandbox\": false,\n \"data\": null,\n \"data_sandbox\": null,\n \"enabled\": true\n },\n {\n \"id\": 55,\n \"paymethod_id\": 2,\n \"business_id\": 0,\n \"sandbox\": false,\n \"data\": null,\n \"data_sandbox\": null,\n \"enabled\": true\n },\n {\n \"id\": 56,\n \"paymethod_id\": 22,\n \"business_id\": 0,\n \"sandbox\": false,\n \"data\": null,\n \"data_sandbox\": null,\n \"enabled\": true\n }\n ]\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": false,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"example": 1,
"default": 0
},
"paymethod_id": {
"type": "integer",
"example": 5,
"default": 0
},
"business_id": {
"type": "integer",
"example": 0,
"default": 0
},
"sandbox": {
"type": "boolean",
"example": true,
"default": true
},
"data": {
"type": "object",
"properties": {
"app": {
"type": "string",
"example": "<redacted-payment-credential>"
},
"key": {
"type": "string",
"example": "<redacted-payment-credential>"
}
}
},
"data_sandbox": {
"type": "object",
"properties": {
"app": {
"type": "string",
"example": "<redacted-payment-credential>"
},
"key": {
"type": "string",
"example": "<redacted-payment-credential>"
}
}
},
"enabled": {
"type": "boolean",
"example": true,
"default": true
}
}
}
}
}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": true,\n \"result\": [\n \"<redacted-secret>\"\n ]\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": true,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "string",
"example": "<redacted-secret>"
}
}
}
}
}
}
},
"401": {
"description": "401",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": true,\n \"result\": [\n \"You do not have permission.\"\n ]\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": true,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "string",
"example": "You do not have permission."
}
}
}
}
}
}
}
}